Users
Get the current user
Retrieve the authenticated user. Supports `include` (related records like `mobile_settings`, `workflow_settings`) and `fresh` (skip cache). Returns the canonical /v2 envelope `{ data: { user } }`.
GET /v2/users/me
Parameters
Query parameters
include
array<string>
Related records to include (e.g. mobile_settings, workflow_settings)
fresh
boolean
Skip the cache and fetch the latest data from the database
Responses
200 — Successful response
Content-Type: application/json
data
object required
data.user
object required
data.user.id
string required
data.user.email
string required
data.user.email_key
string
data.user.zapier_key
string (uuid)
data.user.first_name
string | null
data.user.last_name
string | null
data.user.email_verified
boolean
data.user.image_url
string | null
data.user.time_zone
string
data.user.usecase
string | null
data.user.job_title
string | null
data.user.school
string | null
data.user.about_me
string | null
data.user.onboarded_web
boolean
data.user.onboarded_mobile
boolean
data.user.pricing_plan
string
data.user.credits
integer
data.user.account_visible
boolean
data.user.is_deleted
boolean
data.user.neutered_at
string (date-time)
data.user.utm_tags
any | null
data.user.registration_data
any | null
data.user.linkedin_profile_id
string | null
data.user.linkedin_session_id
string (uuid) | null
data.user.linkedin_sync_status
string | null
data.user.linkedin_profile_data
any | null
data.user.linkedin_last_sync
string (date-time)
data.user.linkedin_sync_disabled
boolean
data.user.linkedin_collection_update_requested_at
string (date-time)
data.user.linkedin_sync_cookies
any | null
data.user.linkedin_user_agent
string | null
data.user.linkedin_message_sync_enabled
boolean | null
data.user.linkedin_message_last_sync
string (date-time)
data.user.linkedin_message_sync_status
string enum
Possible values:
"needs_auth", "initial_sync_in_progress", "sync_in_progress", "sync_complete", "sync_failed"data.user.linkedin_message_sync_covered_from
string (date-time)
data.user.whatsapp_session_id
string (uuid) | null
data.user.whatsapp_last_sync
string (date-time)
data.user.whatsapp_sync_enabled
boolean | null
data.user.whatsapp_sync_status
string enum
Possible values:
"needs_auth", "sync_in_progress", "sync_complete", "sync_failed", "initial_sync_in_progress"data.user.imessage_last_sync
string (date-time)
data.user.imessage_sync_enabled
boolean | null
data.user.imessage_sync_status
string enum
Possible values:
"needs_auth", "sync_in_progress", "sync_complete", "sync_failed"data.user.instagram_last_sync
string (date-time)
data.user.instagram_sync_enabled
boolean | null
data.user.instagram_sync_status
string enum
Possible values:
"needs_auth", "sync_in_progress", "sync_complete", "sync_failed"data.user.instagram_user_agent
string | null
data.user.instagram_sync_cookies
any | null
data.user.instagram_sync_attempt_token
string (uuid) | null
data.user.instagram_sync_attempt_started_at
string (date-time)
data.user.facebook_last_sync
string (date-time)
data.user.facebook_sync_enabled
boolean | null
data.user.facebook_sync_status
string enum
Possible values:
"needs_auth", "sync_in_progress", "sync_complete", "sync_failed"data.user.facebook_user_agent
string | null
data.user.facebook_sync_cookies
any | null
data.user.facebook_sync_attempt_token
string (uuid) | null
data.user.facebook_sync_attempt_started_at
string (date-time)
data.user.phone_calls_last_sync
string (date-time)
data.user.phone_calls_sync_enabled
boolean | null
data.user.phone_calls_sync_status
string enum
Possible values:
"needs_auth", "sync_in_progress", "sync_complete", "sync_failed"data.user.sms_assistant_phone_number
string | null
data.user.sms_assistant_enabled
boolean | null
data.user.sms_assistant_verification_code
string | null
data.user.sms_assistant_verification_expires_at
string (date-time)
data.user.sms_assistant_registered_at
string (date-time)
data.user.priority_field_label
string
data.user.plan_research_credits
integer
data.user.purchased_research_credits
integer
data.user.plan_research_credits_refreshed_at
string (date-time)
data.user.research_settings
any | null
data.user.last_auto_merge_and_fix_at
string (date-time)
data.user.created_at
string (date-time)
data.user.updated_at
string (date-time)
data.user.mobile_settings
object | null
data.user.notification_preferences
object | null
data.user.subscription_details
object | null
data.user.workflow_settings
object | null
data.user.sms_settings
object | null
data.user.gamification_achievements
object | null
data.user.relationship_priority_tiers
array<object>
Example
{
"data": {
"user": {
"id": "string",
"email": "string"
}
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v2/users/me \
--header 'Authorization: Bearer YOUR_API_KEY'
fetch('https://api.prod.getdex.com/v2/users/me', {
headers: {
Authorization: 'Bearer YOUR_API_KEY'
}
})
requests.get("https://api.prod.getdex.com/v2/users/me",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)

